unit UMatter;

interface

uses
  Classes, SysUtils, Graphics, Generics.Collections;

type
  TMatterKind = (mkSpace, mkDirt, mkRock, mkBullet, mkTankBody,
    mkHome, mkBorder);

  TMatterIndex = (miSpace, miDirt1, miDirt2, miRock, miBullet1, miBullet2, miBorder,
      miPlayer1Cannon, miPlayer1Home, miPlayer1TankBody, miPlayer1TankBody2,
      miPlayer2Cannon, miPlayer2Home, miPlayer2TankBody, miPlayer2TankBody2,
      miPlayer3Cannon, miPlayer3Home, miPlayer3TankBody, miPlayer3TankBody2,
      miPlayer4Cannon, miPlayer4Home, miPlayer4TankBody, miPlayer4TankBody2,
      miPlayer5Cannon, miPlayer5Home, miPlayer5TankBody, miPlayer5TankBody2,
      miPlayer6Cannon, miPlayer6Home, miPlayer6TankBody, miPlayer6TankBody2,
      miPlayer7Cannon, miPlayer7Home, miPlayer7TankBody, miPlayer7TankBody2,
      miPlayer8Cannon, miPlayer8Home, miPlayer8TankBody, miPlayer8TankBody2);

  { TMatter }

  TMatter = class
    Kind: TMatterKind;
    Player: Integer;
    Color: TColor;
    Diggable: Boolean;
    Blocking: Boolean;
  end;

  { TMatters }

  TMatters = class(TObjectList<TMatter>)
    function AddNew: TMatter;
  end;


implementation

{ TMatters }

function TMatters.AddNew: TMatter;
begin
  Result := TMatter.Create;
  Add(Result);
end;

end.

