program tunneler;

{$mode delphi}{$H+}

uses
  {$IFDEF UNIX}
  cthreads, clocale,
  {$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, TemplateGenerics, UPlatform, FileUtil, SysUtils, Common, UFormNewGame,
  UFormMain, UFormMap, UFormGameResult, UCore, UWorld, UMatter, UFastPixel
  { you can add units after this };

{$R *.res}

{$if declared(UseHeapTrace)}
const
  HeapTraceLog = 'heaptrclog.trc';
{$ENDIF}

begin
  {$if declared(UseHeapTrace)}
  // Heap trace
  DeleteFile(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  SetHeapTraceOutput(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  {$ENDIF}

  Application.Title:='';
  Application.Scaled:=True;
  Application.Initialize;
  Application.CreateForm(TCore, Core);
  Application.CreateForm(TFormMain, FormMain);
  {$IFDEF DEBUG}
  {$ENDIF}
  Application.Run;
end.

